#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=hbmqtt
export PYBUILD_TEST_NOSE=1

# Skip some tests:
# - test_manager.py requires setuptools entry points to be registered
# - test_handler.py requires port 8888 to be available for use
# - test_connect_tcp* requires a connection to test.mosquitto.org
export PYBUILD_TEST_ARGS=-I test_manager.py -I test_handler.py -e test_connect_tcp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst
